Skip to main content
GET
/
domains
List domains
curl --request GET \
  --url https://api.linkutm.com/api/v1/domains \
  --header 'Authorization: Bearer <token>'
{
  "domains": [
    {
      "id": "dom_01hx9ab3cd4ef5gh6ij7kl",
      "domain": "links.example.com",
      "verified": false,
      "isDefault": false,
      "defaultRedirect": "https://example.com",
      "workspaceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login.

Headers

x-workspace-id
string

The workspace to operate in. Required when authenticating with a JWT token. Optional when using an API key — the workspace is automatically resolved from the key itself.

Example:

"ws_01hx9ab3cd4ef5gh6ij7kl"

Query Parameters

Search by domain name.

page
integer
default:1
limit
integer
default:10

Response

List of domains

domains
object[]
total
integer